Subject: [PATCH 0/4] ARM: add support for hw-breakpoints [v4]

From: [email-masked] (Will Deacon)
Date: Wed, 16 Feb 2011 11:59:49 -0000

Hi Karthik,

> There seems to be a bug in the gdb patch... There should probably be a separate loop for wpts.
> 
>       for (i = 0; i < info->bp_count; i++)
> > 	{
> > 	  if (arm_hwbp_control_is_enabled (p->bpts[i].control))
> > 	    arm_linux_insert_hw_breakpoint1 (p->bpts + i, tid, 0);
> > 	  if (arm_hwbp_control_is_enabled (p->wpts[i].control))
> > 	    arm_linux_insert_hw_breakpoint1 (p->wpts + i, tid, 1);
> > 	}

Ulrich Weigand (added to CC) is dealing with the GDB patches, so he
will have more idea about this than me. Last I heard, the testsuite
was passing so I guess this has been fixed if it was a problem.

Cheers,

Will